export class UI {
	constructor() {
		const showAcked = localStorage.getItem('show_acknowledged')
		if (showAcked == 'true') {
			document.getElementById('show-acked').checked = true
			const list = document.getElementById('acknowledged-list')
			list.classList.remove('hidden')
		}
			
	}

	toggleAcknowledged(evt) {
		const list = document.getElementById('acknowledged-list')

		if (evt.target.checked) {
			list.classList.remove('hidden')
			localStorage.setItem('show_acknowledged', true)
		} else {
			list.classList.add('hidden')
			localStorage.setItem('show_acknowledged', false)
		}
	}
}
